"""
常用参数API模块
提供获取各种常用参数数据的接口
"""
from typing import Dict, Any, List, Optional
from fastapi import APIRouter, HTTPException, Query
from pydantic import BaseModel, Field
from services.common_params_service import CommonParamsService
from config.component_config import CommonParamsConfig, CommonParamType
from api.models import ApiResponse

# 创建路由器
router = APIRouter(prefix="/common-params", tags=["常用参数"])
