"""
组件API模型模块
包含组件相关的API请求和响应的数据模型
"""

from typing import Dict, Any, List, Optional
from pydantic import BaseModel, Field
from config.component_config import ComponentDiscovery

# 组件相关模型
class ComponentDiscoverInput(BaseModel):
    package_name: Optional[str] = ComponentDiscovery.DEFAULT_PACKAGE 